Delete approval
curl --request DELETE \
--url https://app.tryordinal.com/api/v1/approvals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/approvals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/approvals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deletedApproval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isBlocking": true,
"message": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"requestedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Approvals
Delete approval
Delete an approval request
DELETE
/
approvals
/
{id}
Delete approval
Was this page helpful?
⌘I